| Home | Libraries | People | FAQ | More

## Macro BOOST_CONTRACT_MAX_ARGS

BOOST_CONTRACT_MAX_ARGS — Maximum number of arguments for public function overrides on compilers that do not support variadic templates (default to `10`).

## Synopsis

    // In header: <boost/contract/core/config.hpp>

    BOOST_CONTRACT_MAX_ARGS

## Description

On compilers that do not support C++11 variadic templates, this macro is defined to the maximum number of arguments that public function overrides can have and pass to `boost::contract::public_function` (users can redefine this macro to a different value). On compilers that support variadic templates, this macro has no effect.

| Note
Regardless of the value of this macro and of compiler support for variadic templates, there might be an intrinsic limit of about 18 arguments for public function overrides (because of similar limits in Boost.MPL and Boost.FunctionTypes internally used by this library).

See Also:

No Macros